#!/bin/bash

# needs environment variables PINDIR,
# N, S, and I, set by the script ../pin

# first pass initial string to editor, new in 0.4
"${PINDIR}/scripts/keystowindow.sh" "$I"

i=1
while read line; do
    if [ "${line%:*}" != "pinlabel" ]; then
	echo "Output from gvpin: ${line}"
	continue
    fi
    xy=${line#pinlabel: }
    let "x$i"=${xy% *}
    let "y$i"=${xy#* }
    if [ "$i" -eq "$N" ]; then
        "${PINDIR}/scripts/keystowindow.sh" `eval echo $S`
        i=1
    else
        i=$(( $i + 1 ))
    fi
done

